Package org.silverpeas.mobile.shared.dto.authentication

## Interface IUserProfile

- All Known Implementing Classes:
    `UserProfileDTO`

      public interface IUserProfile

  Author:
    svu

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getAccessLevel()` |
    `String` | `getApiToken()` |
    `String` | `getAvatar()` |
    `String` | `getContactsUri()` |
    `String` | `getDomainId()` |
    `String` | `getDomainName()` |
    `String` | `geteMail()` |
    `String` | `getFirstName()` |
    `String` | `getFullName()` |
    `String` | `getId()` |
    `String` | `getLanguage()` |
    `String` | `getLastName()` |
    `String` | `getLogin()` |
    `String` | `getSpecificId()` |
    `String` | `getStatus()` |
    `String` | `getUri()` |
    `String` | `getWebPage()` |
    `boolean` | `isAnonymous()` |
    `boolean` | `isConnected()` |
    `boolean` | `isDeactivatedState()` |
    `boolean` | `isDeletedState()` |
    `void` | `setAccessLevel​(String accessLevel)` |
    `void` | `setAnonymous​(boolean anonymous)` |
    `void` | `setApiToken​(String apiToken)` |
    `void` | `setAvatar​(String avatar)` |
    `void` | `setConnected​(boolean connected)` |
    `void` | `setContactsUri​(String contactsUri)` |
    `void` | `setDeactivatedState​(boolean deactivatedState)` |
    `void` | `setDeletedState​(boolean deletedState)` |
    `void` | `setDomainId​(String domainId)` |
    `void` | `setDomainName​(String domainName)` |
    `void` | `seteMail​(String eMail)` |
    `void` | `setFirstName​(String firstName)` |
    `void` | `setFullName​(String fullName)` |
    `void` | `setId​(String id)` |
    `void` | `setLanguage​(String language)` |
    `void` | `setLastName​(String lastName)` |
    `void` | `setLogin​(String login)` |
    `void` | `setSpecificId​(String specificId)` |
    `void` | `setStatus​(String status)` |
    `void` | `setUri​(String uri)` |
    `void` | `setWebPage​(String webPage)` |

- - ### Method Detail

    - #### getUri

          String getUri()

    - #### setUri

          void setUri​(String uri)

    - #### getContactsUri

          String getContactsUri()

    - #### setContactsUri

          void setContactsUri​(String contactsUri)

    - #### getWebPage

          String getWebPage()

    - #### setWebPage

          void setWebPage​(String webPage)

    - #### getAvatar

          String getAvatar()

    - #### setAvatar

          void setAvatar​(String avatar)

    - #### getDomainName

          String getDomainName()

    - #### setDomainName

          void setDomainName​(String domainName)

    - #### getFullName

          String getFullName()

    - #### setFullName

          void setFullName​(String fullName)

    - #### getLanguage

          String getLanguage()

    - #### setLanguage

          void setLanguage​(String language)

    - #### isConnected

          boolean isConnected()

    - #### setConnected

          void setConnected​(boolean connected)

    - #### isAnonymous

          boolean isAnonymous()

    - #### setAnonymous

          void setAnonymous​(boolean anonymous)

    - #### getApiToken

          String getApiToken()

    - #### setApiToken

          void setApiToken​(String apiToken)

    - #### getId

          String getId()

    - #### setId

          void setId​(String id)

    - #### getSpecificId

          String getSpecificId()

    - #### setSpecificId

          void setSpecificId​(String specificId)

    - #### getDomainId

          String getDomainId()

    - #### setDomainId

          void setDomainId​(String domainId)

    - #### getLogin

          String getLogin()

    - #### setLogin

          void setLogin​(String login)

    - #### getFirstName

          String getFirstName()

    - #### setFirstName

          void setFirstName​(String firstName)

    - #### getLastName

          String getLastName()

    - #### setLastName

          void setLastName​(String lastName)

    - #### geteMail

          String geteMail()

    - #### seteMail

          void seteMail​(String eMail)

    - #### getAccessLevel

          String getAccessLevel()

    - #### setAccessLevel

          void setAccessLevel​(String accessLevel)

    - #### getStatus

          String getStatus()

    - #### setStatus

          void setStatus​(String status)

    - #### isDeletedState

          boolean isDeletedState()

    - #### setDeletedState

          void setDeletedState​(boolean deletedState)

    - #### isDeactivatedState

          boolean isDeactivatedState()

    - #### setDeactivatedState

          void setDeactivatedState​(boolean deactivatedState)